agency-board

POST /v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay

Send the same payload again.

Sve agency-board krajnje tačke

Autentifikacija

Pošaljite API ključ kao bearer token. Ova krajnja tačka ne navodi specifičnu dozvolu u specifikaciji, zato dodelite svom ključu minimum potrebnih ovlašćenja i proverite odgovor umesto da pretpostavljate.

Ovaj krajnji tačka ne prihvata ID organizacije. Vaš ključ već identifikuje organizaciju kojoj pripada, a odgovor je ograničen na nju.

Isprobajte

Zamenite bilo šta u uglastim zagradama sopstvenim vrednostima, a ključni placeholder sa ključem sa vaše kontrolne table.

curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay \
  -H "Authorization: Bearer zdk_live_…"

Prijavljeni ste? API konzola na vašoj kontrolnoj tabli automatski popunjava ID vaše stvarne organizacije i vaš sopstveni ključ, i izvršava zahtev nad API-jem uživo tako da možete videti stvarni odgovor. Otvorite ovu krajnju tačku u API konzoli

Detalji

Re-sends the STORED bytes with a fresh timestamp and a fresh signature over those same bytes. Nothing is re-serialised — a different byte string would produce a signature the receiver cannot verify, which fails as *"your signatures are wrong"* on their side and is unfalsifiable from ours.

Parametri

NazivVrstaObaveznoŠta je ovo
boardId (path)UuidDaProject board ID (UUIDv7).
deliveryId (path)UuidDaWebhook delivery ID (UUIDv7).

Odgovor

NazivVrstaObaveznoŠta je ovo
idUuidDaUUIDv7 identifier — sortable by creation time (docs/02 §8).
subscription_idUuidDaUUIDv7 identifier — sortable by creation time (docs/02 §8).
eventstringDa
delivery_keystringDaSent as `X-Zinn-Delivery`, so the receiver can dedupe too.
payloadobjectNeThe body exactly as it was signed and sent.
statusBoardWebhookDeliveryStatusDa
attemptsintegerDa
response_statusintegerNe
response_snippetstringNeThe first 500 bytes your endpoint answered with. When it answered but sent no body, the status we observed; when we could not reach it, or the fault was ours, authored copy sayi…
next_attempt_atstringNe
delivered_atstringNe
replay_of_idUuidNeUUIDv7 identifier — sortable by creation time (docs/02 §8).
created_atstringDa

Greške koje ovaj krajnji tačka može da vrati

401 · 403 · 404